5
I recently encountered this issue while disabling TLS 1.0 and 1.1 on our SQL server.

GP 18.3 had been installed on two Terminal servers running Windows Server 2019.

We disabled TLS 1.0 and 1.1 on our SQL server, and users were no longer able to log in to GP. In troubleshooting, I realized that the SQL Server Native Client installed on the terminal servers was an older version than I found installed on my local PC (2011.110.7462.06). It appears that the sqlncli.msi on the GP installation disk is the original version released with SQL 2012, and the current version can be found in the SQL 2012 SP4 security update (https://www.microsoft.com/en-us/download/details.aspx?id=56490).

The ramifications of this are that the older version did not support TLS 1.2, while the current version does support it.
STATUS DETAILS
Needs Votes